> For the complete documentation index, see [llms.txt](https://docs.elbo.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.elbo.ai/reference/api-reference/the-elbo-tracker.md).

# The ELBO Tracker

The ELBO Tracker API is an easy way to monitor your tasks on your Phone. Using the API you can log messages, key metrics (numbers), and images. These would show up in your task list on your Phone.

Please install the [ELBO Tracker App](https://elbo.ai/tracker) and log in with your [authentication token](https://elbo.ai/developer) to see the results of your tasks.

To start instantiate an instance of the Tracker

```
from elbo.tracker.tracker import TaskTracker
tracker = TaskTracker("Hello World")
```

Where "Hello World" is the experiment name. Now to log a message just do:

```
tracker.log_message("Hi there! 👋")
```

That's it! Similarly logging a metric or an image is as simple:

```
    tracker.log_key_metric("Accuracy", 100.0)
    
    tracker.log_image("An AI generated image of a Cat 🐱", "images/aicat.png")
```

And finally, upload the logs using:

```
tracker.upload_logs()
```

Make sure you don't forget this step. The `upload_logs()` API can be called as many times as you would like. Each time it will append to the existing logs. For example, if you are training a model, it may make sense to call this API every epoch.

Once this is done, now you can see the results in your App!

![The task list view](/files/kDasp8s10xterQOsm478) ![The task details view](/files/cgCxu99K8yRRE9VPFgkJ)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.elbo.ai/reference/api-reference/the-elbo-tracker.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
